package com.zehong.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 企业评价对象 t_enterprise_ranking
 * 
 * @author zehong
 * @date 2026-03-17
 */
public class TEnterpriseRanking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 排名id */
    private Long rankingId;

    /** 年度 */
    @Excel(name = "年度")
    private Integer yearNum;

    /** 企业id */
    @Excel(name = "企业id")
    private String beyondEnterpriseId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;


    private String enterpriseTyep;

    /** 事故评分 */
    @Excel(name = "事故评分")
    private BigDecimal accidentNum;

    /** 隐患评分 */
    @Excel(name = "隐患评分")
    private BigDecimal hiddenNum;

    /** 投诉评分 */
    @Excel(name = "投诉评分")
    private BigDecimal complaintNum;

    /** 总评分 */
    @Excel(name = "总评分")
    private BigDecimal fraction;

    /** 评价结果 */
    @Excel(name = "评价结果")
    private String result;


    public String getEnterpriseTyep() {
        return enterpriseTyep;
    }

    public void setEnterpriseTyep(String enterpriseTyep) {
        this.enterpriseTyep = enterpriseTyep;
    }

    public void setRankingId(Long rankingId)
    {
        this.rankingId = rankingId;
    }

    public Long getRankingId() 
    {
        return rankingId;
    }
    public void setYearNum(Integer yearNum) 
    {
        this.yearNum = yearNum;
    }

    public Integer getYearNum() 
    {
        return yearNum;
    }
    public void setBeyondEnterpriseId(String beyondEnterpriseId) 
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseId() 
    {
        return beyondEnterpriseId;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setAccidentNum(BigDecimal accidentNum) 
    {
        this.accidentNum = accidentNum;
    }

    public BigDecimal getAccidentNum() 
    {
        return accidentNum;
    }
    public void setHiddenNum(BigDecimal hiddenNum) 
    {
        this.hiddenNum = hiddenNum;
    }

    public BigDecimal getHiddenNum() 
    {
        return hiddenNum;
    }
    public void setComplaintNum(BigDecimal complaintNum) 
    {
        this.complaintNum = complaintNum;
    }

    public BigDecimal getComplaintNum() 
    {
        return complaintNum;
    }
    public void setFraction(BigDecimal fraction) 
    {
        this.fraction = fraction;
    }

    public BigDecimal getFraction() 
    {
        return fraction;
    }
    public void setResult(String result) 
    {
        this.result = result;
    }

    public String getResult() 
    {
        return result;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rankingId", getRankingId())
            .append("yearNum", getYearNum())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("enterpriseName", getEnterpriseName())
            .append("accidentNum", getAccidentNum())
            .append("hiddenNum", getHiddenNum())
            .append("complaintNum", getComplaintNum())
            .append("fraction", getFraction())
            .append("result", getResult())
            .append("createTime", getCreateTime())
            .toString();
    }
}
